/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.view;

import javax.swing.JApplet;

/**
 * Only create the Board window
 * 
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class SudokuSolutionFinderApplet extends JApplet implements
    RepaintListener {

    private static final long serialVersionUID = 1L;

    public void init() {

        super.init();

        setContentPane(new BoardView(this));
    }

    /* (non-Javadoc)
     * @see com.carlosbcruz.view.RepaintListener#repaintRequested()
     */
    public void repaintRequested() {

        repaint();
    }

}
