/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.view;

import javax.swing.JFrame;

/**
 * Only create the Board window
 * 
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class SudokuSolutionFinder extends JFrame implements RepaintListener {

    private static final long serialVersionUID = 1L;

    /**
     * Default counstructor
     */
    SudokuSolutionFinder() {

        super("Sudoku Solution Finder");
        setContentPane(new BoardView(this));
        setSize(600, 400);
        setVisible(true);
    }

    /**
     * Solves a board problem.
     * 
     * @param args
     *            ignored
     */
    public static void main(String[] args) {

        SudokuSolutionFinder sudokuSolutionFinder = new SudokuSolutionFinder();
    }

    /* (non-Javadoc)
     * @see com.carlosbcruz.view.RepaintListener#repaintRequested()
     */
    public void repaintRequested() {

        repaint();
    }

}
